openbsd-ports/security/cyrus-sasl2/patches/patch-configure
ajacoutot 610c24112b - long due update to 2.1.22
- merge the 3 PLISTs for sql related FLAVORS (sqlite, pgsql and mysql)
into one
- use a VARIABLE for the "incompatible FLAVORS" message
- post-extract -> post-configure, to ease patches updates
- fmt pkg/DESCR

"go ahead" robert@
2007-06-18 12:31:20 +00:00

142 lines
5.0 KiB
Plaintext

$OpenBSD: patch-configure,v 1.10 2007/06/18 12:31:20 ajacoutot Exp $
--- configure.orig Thu May 18 21:30:13 2006
+++ configure Fri Jun 1 08:48:08 2007
@@ -3945,7 +3945,7 @@ _ACEOF
fi
if test "$ac_cv_c_compiler_gnu" = yes; then
- CFLAGS="-Wall -W ${CFLAGS}"
+ CFLAGS="-Wall -W -fPIC ${CFLAGS}"
fi
@@ -4526,7 +4526,7 @@ echo "${ECHO_T}$ac_cv_func_res_search" >&6
if test $ac_cv_func_res_search = yes; then
:
else
- LIBS="-lresolv $LIB_SOCKET $save_LIBS"
+ LIBS="$LIB_SOCKET $save_LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
/* confdefs.h. */
@@ -4567,7 +4567,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- LIB_SOCKET="-lresolv $LIB_SOCKET"
+ LIB_SOCKET="$LIB_SOCKET"
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
@@ -9480,7 +9480,7 @@ if test "${ac_cv_lib_resolv_res_search+set}" = set; th
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
-LIBS="-lresolv $LIBS"
+LIBS="$LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
/* confdefs.h. */
@@ -9533,7 +9533,7 @@ if test $ac_cv_lib_resolv_res_search = yes; then
#define HAVE_LIBRESOLV 1
_ACEOF
- LIBS="-lresolv $LIBS"
+ LIBS="$LIBS"
fi
@@ -10245,6 +10245,9 @@ if test "$gssapi" != no; then
*-*-aix*)
platform=__aix
;;
+ *-*-openbsd*)
+ platform=__openbsd
+ ;;
*)
{ echo "$as_me:$LINENO: WARNING: The system type is not recognized. If you believe that CyberSafe GSSAPI works on this platform, please update the configure script" >&5
echo "$as_me: WARNING: The system type is not recognized. If you believe that CyberSafe GSSAPI works on this platform, please update the configure script" >&2;}
@@ -10259,7 +10262,7 @@ echo "$as_me: error: CyberSafe was forced, cannot cont
cmu_saved_CPPFLAGS=$CPPFLAGS
if test -d ${gssapi}; then
- CPPFLAGS="$CPPFLAGS -I$gssapi/include"
+ CPPFLAGS="$CPPFLAGS -I$gssapi/include/kerberosV"
# We want to keep -I in our CPPFLAGS, but only if we succeed
cmu_saved_CPPFLAGS=$CPPFLAGS
LDFLAGS="$LDFLAGS -L$gssapi/lib"
@@ -10570,7 +10573,7 @@ if test "${ac_cv_lib_resolv_res_search+set}" = set; th
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
-LIBS="-lresolv $LIBS"
+LIBS="$LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
/* confdefs.h. */
@@ -10623,7 +10626,7 @@ if test $ac_cv_lib_resolv_res_search = yes; then
#define HAVE_LIBRESOLV 1
_ACEOF
- LIBS="-lresolv $LIBS"
+ LIBS="$LIBS"
fi
@@ -10650,7 +10653,7 @@ if test "${ac_cv_lib_gssapi_gss_unwrap+set}" = set; th
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
-LIBS="-lgssapi ${GSSAPIBASE_LIBS} -lgssapi -lkrb5 -lasn1 -lroken ${LIB_CRYPT} ${LIB_DES} -lcom_err ${LIB_SOCKET} $LIBS"
+LIBS="-lgssapi ${GSSAPIBASE_LIBS} -lgssapi -lkrb5 -lasn1 -lcrypto ${LIB_CRYPT} ${LIB_DES} -lcom_err ${LIB_SOCKET} $LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
/* confdefs.h. */
@@ -11060,8 +11063,8 @@ fi
GSSAPIBASE_STATIC_LIBS="$GSSAPIBASE_LIBS $gssapi_dir/libgssapi_krb5.a $gssapi_dir/libkrb5.a $gssapi_dir/libk5crypto.a $gssapi_dir/libcom_err.a ${K5SUPSTATIC}"
elif test "$gss_impl" = "heimdal"; then
CPPFLAGS="$CPPFLAGS -DKRB5_HEIMDAL"
- GSSAPIBASE_LIBS="$GSSAPIBASE_LIBS -lgssapi -lkrb5 -lasn1 -lroken ${LIB_CRYPT} ${LIB_DES} -lcom_err"
- GSSAPIBASE_STATIC_LIBS="$GSSAPIBASE_STATIC_LIBS $gssapi_dir/libgssapi.a $gssapi_dir/libkrb5.a $gssapi_dir/libasn1.a $gssapi_dir/libroken.a $gssapi_dir/libcom_err.a ${LIB_CRYPT}"
+ GSSAPIBASE_LIBS="$GSSAPIBASE_LIBS -lgssapi -lkrb5 -lasn1 -lcrypto ${LIB_CRYPT} ${LIB_DES} -lcom_err"
+ GSSAPIBASE_STATIC_LIBS="$GSSAPIBASE_STATIC_LIBS $gssapi_dir/libgssapi.a $gssapi_dir/libkrb5.a $gssapi_dir/libasn1.a $gssapi_dir/libcrypto.a $gssapi_dir/libcom_err.a ${LIB_CRYPT}"
elif test "$gss_impl" = "cybersafe03"; then
# Version of CyberSafe with two libraries
CPPFLAGS="$CPPFLAGS -D$platform -I${gssapi}/appsec-sdk/include"
@@ -11251,7 +11254,7 @@ if test "${ac_cv_lib_resolv_res_search+set}" = set; th
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
-LIBS="-lresolv $LIBS"
+LIBS="$LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
/* confdefs.h. */
@@ -11300,7 +11303,7 @@ fi
echo "$as_me:$LINENO: result: $ac_cv_lib_resolv_res_search" >&5
echo "${ECHO_T}$ac_cv_lib_resolv_res_search" >&6
if test $ac_cv_lib_resolv_res_search = yes; then
- GSSAPIBASE_LIBS="$GSSAPIBASE_LIBS -lresolv"
+ GSSAPIBASE_LIBS="$GSSAPIBASE_LIBS"
fi
SASL_MECHS="$SASL_MECHS libgssapiv2.la"
@@ -12923,7 +12926,7 @@ if test "${ac_cv_lib_resolv_inet_aton+set}" = set; the
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
-LIBS="-lresolv $LIBS"
+LIBS="$LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
/* confdefs.h. */
@@ -12976,7 +12979,7 @@ if test $ac_cv_lib_resolv_inet_aton = yes; then
#define HAVE_LIBRESOLV 1
_ACEOF
- LIBS="-lresolv $LIBS"
+ LIBS="$LIBS"
fi